
Installer - Bug #6037

Attempting to run the foreman-installer on Debian 7 and it fails.  

06/03/2014 03:14 PM - Peter Berghold

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installed forman-installer as per documentation via an apt-get from the foreman repository. Here is a transcript of what happened

next:

root@mcadprod1:/etc/puppet# foreman-installer -i

/usr/lib/ruby/vendor_ruby/kafo/puppet_module_parser.rb:23:in `initialize': undefined method `[]' for nil:NilClass (NoMethodError)

from /usr/lib/ruby/vendor_ruby/kafo/puppet_module_parser.rb:10:in `new'

from /usr/lib/ruby/vendor_ruby/kafo/puppet_module_parser.rb:10:in `parse'

from /usr/lib/ruby/vendor_ruby/kafo/puppet_module.rb:36:in `parse'

from /usr/lib/ruby/vendor_ruby/kafo/configuration.rb:70:in `block in modules'

from /usr/lib/ruby/vendor_ruby/kafo/configuration.rb:70:in `map'

from /usr/lib/ruby/vendor_ruby/kafo/configuration.rb:70:in `modules'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:137:in `modules'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:130:in `params'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:159:in `set_parameters'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:44:in `initialize'

from /usr/lib/ruby/vendor_ruby/clamp/command.rb:125:in `new'

from /usr/lib/ruby/vendor_ruby/clamp/command.rb:125:in `run'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:90:in `block in run'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:89:in `catch'

from /usr/lib/ruby/vendor_ruby/kafo/kafo_configure.rb:89:in `run'

from /usr/bin/foreman-installer:9:in `<main>'

History

#1 - 06/04/2014 11:06 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Status changed from New to Need more information

Could you please provide output from: dpkg -l foreman-installer ruby-kafo ruby-kafo-parsers puppet so we know which versions are in use.

#2 - 06/04/2014 03:16 PM - Peter Berghold

Close this out.

After burning the server down to bare metal and trying again the foreman-installer worked just fine.  Gremlins I guess.

#3 - 06/04/2014 04:19 PM - Dominic Cleal

- Status changed from Need more information to Rejected

Thanks, glad it's sorted.
